Bug 57325 - Why do I _need_ kdelibs-sound-devel ???
Summary: Why do I _need_ kdelibs-sound-devel ???
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: SDL (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-10 14:24 UTC by Mario Mikocevic
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 14:24:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mario Mikocevic 2001-12-10 14:24:39 UTC
Description of Problem:

Why do I need kdelibs-sound-devel for SDL ??
(personaly I _HATE_ KDE and haven't installed any KDE component lately)

Version-Release number of selected component (if applicable):
SDL-1.2.3-1.i386.rpm
SDL-devel-1.2.3-1.i386.rpm

How Reproducible:

always (lately)

Steps to Reproduce:
1. rpm -Uvh SDL-1.2.3-1.i386.rpm SDL-devel-1.2.3-1.i386.rpm
2. 
3. 

Actual Results:

error: failed dependencies:
        kdelibs-sound-devel is needed by SDL-devel-1.2.3-1


Expected Results:

# rpm -qa | grep SDL
SDL-devel-1.2.3-1
SDL-1.2.3-1

(handedited :)


Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-12-13 13:18:02 UTC
SDL uses arts.
arts is part of kdelibs-sound.
sdl-config shows that anything using -lSDL also uses -lartsc, so you need the 
devel files for libartsc, which are in kdelibs-sound-devel.

In the next release, arts will be a separate package, so you'll get arts and 
arts-devel instead. Until then, kdelibs-sound-devel is genuinely needed.



Note You need to log in before you can comment on or make changes to this bug.